package com.brilliance.swift.mx2mt.mt110.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mx2mt.AbstractMx2MtTagsGenerate;
import com.prowidesoftware.swift.model.SwiftMessage;
import com.prowidesoftware.swift.model.Tag;
import java.util.List;

/**
 *
 */
public class Field53BGenerate extends AbstractMx2MtTagsGenerate {

    private static String name_53B = "53B";

    @Override
    public void tagGenerate() throws SwiftException {
        SwiftMessage swiftMessage = context.get(SwiftMessage.class);
        List<Tag> tags = swiftMessage.getBlock4().getTags();
        int cheDrwrAgtAcct = getXmlNodeCounts(bodyHdrParentElementName, document, "Chq.DrwrAgtAcct");
        String accountPath = bodyHdrParentElementName +".Chq.DrwrAgtAcct";
        String account = mx_to_mtSettlementAccount("INDA", accountPath);
        if (cheDrwrAgtAcct > 0) {
            tags.add(new Tag(name_53B, account));
        }
    }
}
