package com.brilliance.swift.mx2mt.mt111.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mx2mt.AbstractMx2MtTagsGenerate;
import com.brilliance.swift.util.StringUtil;
import com.prowidesoftware.swift.model.SwiftMessage;
import com.prowidesoftware.swift.model.Tag;

import java.util.List;

/**
 *
 */
public class Field59Generate extends AbstractMx2MtTagsGenerate {

    private static String name = "59";

    @Override
    public void tagGenerate() throws SwiftException {
        SwiftMessage swiftMessage = context.get(SwiftMessage.class);
        List<Tag> tags = swiftMessage.getBlock4().getTags();
        String ptsCtry = getXmlNodeValue(bodyHdrParentElementName, document, "Chq.Pyee.PstlAdr.Ctry");
        String partyPath = bodyHdrParentElementName + ".Chq.Pyee";
        if (StringUtil.isNotEmpty(ptsCtry)){
            String nameAddress = mx_to_mtPartyNameAndAddressLEI1(partyPath);
            tags.add(new Tag(name, nameAddress));
        } else {
            String nameAddress = mx_to_mtPartyNameAndUnstructuredAddress(partyPath);
            tags.add(new Tag(name, nameAddress));
        }
    }
}
