package com.brilliance.swift.mx2mt.mt110.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mx2mt.AbstractMx2MtTagsGenerate;
import com.brilliance.swift.mx2mt.Mx2MtContextIdentifier;
import com.prowidesoftware.swift.model.SwiftMessage;
import com.prowidesoftware.swift.model.Tag;
import java.util.List;

/**
 *
 */
public class Field52aGenerate extends AbstractMx2MtTagsGenerate {

    private static String name_52A = "52A";
    private static String name_52B = "52B";
    private static String name_52D = "52D";
    private static String name = "52";

    @Override
    public void tagGenerate() throws SwiftException {
        context.set(Mx2MtContextIdentifier.MX_TO_MT_ERROR_LOCATION, "Block4/52a");
        SwiftMessage swiftMessage = context.get(SwiftMessage.class);
        List<Tag> tags = swiftMessage.getBlock4().getTags();
        int cheDrwrAgt = getXmlNodeCounts(bodyHdrParentElementName, document, "Chq.DrwrAgt");
        int cheDrwrAgtAcct = getXmlNodeCounts(bodyHdrParentElementName, document, "Chq.DrwrAgtAcct");
        String account = "";
        if (cheDrwrAgt > 0 || cheDrwrAgtAcct > 0) {
            String cheDrwrAgtPath = bodyHdrParentElementName + ".Chq.DrwrAgt";
            String cheDrwrAgtAcctPath = bodyHdrParentElementName + ".Chq.DrwrAgtAcct";
            if (cheDrwrAgt == 0 ) {
                account = mx_to_mtAccount(bodyHdrParentElementName + ".Chq.DrwrAgtAcct");
//                tags.add(new Tag(name_52B, account));
            } else {
                Tag tag = mx_to_mtAgentGeneric(name, cheDrwrAgtPath, cheDrwrAgtAcctPath, true, false, false, null);
                if (tag != null) {
                    if (name_52D.equals(tag.getName())) {
                        String value = mx_to_mtStartingLineCharacter(tag.getValue(), "Block4/:" + name_52D + ":");
                        tag.setValue(value);
                    }
                    tags.add(tag);
                }
            }
        }
    }
}
