package com.brilliance.swift.mx2mt.mt112.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mx2mt.AbstractMx2MtTagsGenerate;
import com.brilliance.swift.mx2mt.Mx2MtContextIdentifier;
import com.brilliance.swift.util.StringUtil;
import com.prowidesoftware.swift.model.SwiftMessage;
import com.prowidesoftware.swift.model.Tag;

import java.util.List;

public class Field52AGenerate extends AbstractMx2MtTagsGenerate {

    private static String name_A = "52A";

    private static String name_B = "52B";

    private static String name_D = "52D";

    private static String name = "52";

    @Override
    public void tagGenerate() throws SwiftException {
        context.set(Mx2MtContextIdentifier.MX_TO_MT_ERROR_LOCATION, "Block4/52a");
        SwiftMessage swiftMessage = context.get(SwiftMessage.class);
        List<Tag> tags = swiftMessage.getBlock4().getTags();
        int agentNum = getXmlNodeCounts(bodyHdrParentElementName,document,"Chq.DrwrAgt");
        int agentCount = getXmlNodeCounts(bodyHdrParentElementName,document,"Chq.DrwrAgtAcct");
        String agentPath = bodyHdrParentElementName + ".Chq.DrwrAgt";
        String  agentCountPath = bodyHdrParentElementName+ ".Chq.DrwrAgtAcct";
        String account = "";
        if ( agentNum >0 || agentCount>0 ) {
            if(agentNum == 0) {
                account = mx_to_mtAccount(bodyHdrParentElementName+".Chq.DrwrAgtAcct");
                tags.add(new Tag(name_B,account));
            }else {
                Tag tag = mx_to_mtAgentGeneric(name,agentPath,agentCountPath,true,false,false,null);
                if (tag != null) {
                    if (name_D.equals(tag.getName())) {
                        String value = mx_to_mtStartingLineCharacter(tag.getValue(), "Block4/:"+name_D+":");
                        tag.setValue(value);
                    }
                    tags.add(tag);
                }
            }
        }


    }
}
