package com.brilliance.swift.mx2mt.mt112.impl;

import com.brilliance.swift.constants.Mx2MtConstants;
import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mx2mt.AbstractMx2MtTagsGenerate;
import com.brilliance.swift.mx2mt.Mx2MtContextIdentifier;
import com.brilliance.swift.util.StringUtil;
import com.prowidesoftware.swift.model.SwiftMessage;
import com.prowidesoftware.swift.model.Tag;

import java.util.List;

public class Field59Generate extends AbstractMx2MtTagsGenerate {

    private static String name = "59";
    @Override
    public void tagGenerate() throws SwiftException {
        context.set(Mx2MtContextIdentifier.MX_TO_MT_ERROR_LOCATION, "Block4/59a");
        SwiftMessage swiftMessage = context.get(SwiftMessage.class);
        List<Tag> tags = swiftMessage.getBlock4().getTags();
        int countryNum = getXmlNodeCounts(bodyHdrParentElementName,document,"Chq.Pyee.PstlAdr.Ctry");
        String payStr = bodyHdrParentElementName + ".Chq.Pyee";
        int addLineStr = getXmlNodeCounts(bodyHdrParentElementName,document,"Chq.Pyee.PstlAdr.AdrLine");
        String payTra = "";
        if ( countryNum >0 ) {
            payTra = mx_to_mtPartyNameAndAddressLEI1(payStr);
            tags.add(new Tag(name,payTra));
        }else if (addLineStr >0 && !Mx2MtConstants.MX_TO_MT_DEFAULT_VALUE.equals(addLineStr)) {
            payTra = mx_to_mtPartyNameAndUnstructuredAddress(payStr);
            tags.add(new Tag(name,payTra));
        }
    }
}
