package com.brilliance;

import com.brilliance.swift.element2mx.Element2MxCreatorManager;
import com.brilliance.swift.util.DateUtil;
import com.brilliance.swift.util.StringUtil;
import org.apache.commons.io.FileUtils;
import org.junit.Test;

import javax.xml.datatype.DatatypeConfigurationException;
import java.io.File;
import java.io.IOException;
import java.text.ParseException;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class Element2MxTest {

    @Test
    public void testElement2Pacs00800108() throws IOException, ParseException, DatatypeConfigurationException {
        //File file = FileUtils.toFile(Mx2MtTest.class.getResource("/swiftXml/MxCamt05300108_950.xml"));
        //  File file = FileUtils.toFile(Mx2MtTest.class.getResource("/swiftXml/MxPacs00800108.xml"));
        //File file = FileUtils.toFile(Mx2MtTest.class.getResource("/swiftXml/Pacs00800108.xml"));
        File file = FileUtils.toFile(Mx2MtTest.class.getResource("/swiftXml/pacs008001_gcy.xml"));


        //File file = FileUtils.toFile(Mx2MtTest.class.getResource("/swiftXml/MxPacs00900108.xml"));
        //File file = FileUtils.toFile(Mx2MtTest.class.getResource("/swiftXml/MxCamt05400108_CREDIT.xml"));
        //File file = FileUtils.toFile(Mx2MtTest.class.getResource("/swiftXml/MxCamt02900109_196.xml"));
        //  File file = FileUtils.toFile(Mx2MtTest.class.getResource("/swiftXml/camt05400108_900.xml.xml"));'
     /*   String xmlStr1 = FileUtils.readFileToString(file);
        MxId mxId = XmlUtil.getMxMessageType(xmlStr1);
        AbstractMX abstractMX = AbstractMX.parse(file,mxId);
        String json=abstractMX.toJson();*/
        // String elementStr = SwiftTransfer.mx2Element(file);
        //  System.out.println("elementStr="+elementStr);
        //  System.out.println("*****************************");
        Map map = new HashMap();
        map.put("frBic", "NYCBCNSHXXX");
        map.put("toBic", "PSBCCNBJXXX");
        map.put("messageType", "pacs00800108");
        String msgDefIdr="pacs.008.001.08";
        map.put("messageType", msgDefIdr.replace(".",""));
        map.put("msgDefIdr",msgDefIdr);
        map.put("bizMsgIdr", "BizTest00001");
        map.put("mgDefIdr", "BizTest00001");
        map.put("bizSvc", "swift.cbprplus.02");

        map.put("msgId", "MsgId00001");
      /*  String creDate = SwiftIsoUtil.dateTransfer("9999-12-31T00:00:00+00:00");
        System.out.println("creDate="+creDate);
        map.put("creDt", creDate);*/
        //TODO 确定yyyyMMddhh:mm:ss 转yyyy-MM-ddThh:mm:ss.sss+/-hh:mm现成的函数
        String creDate = "2023-12-10 20:10:11";//esb接口中传入该参数
        map.put("creDt", DateUtil.parseXMLGregorianCalendar(DateUtil.parseDate(creDate, "yyyy-MM-dd HH:mm:ss")).toXMLFormat());
        // map.put("creDt", SwiftIsoUtil.date2IsoDateTime("20231210201010"));

 /*       // 获取当前的日期和时间
        LocalDateTime localDateTime = LocalDateTime.now();
        // 将日期和时间转换为零时区
        ZonedDateTime utcDateTime = localDateTime.atZone(ZoneId.of("UTC"));
        System.out.println("当前日期和时间:" + localDateTime);
        System.out.println("零时区日期和时间:" + utcDateTime);*/

        //mt103 20栏位
        map.put("instrId","instrId00001");
        //endToEndId
        map.put("endToEndId","endToEndId0001");
        //UETR
        map.put("uetr","UETR000001");

        //结算金额、币种、起息日
        map.put("intrBkSttlmAmt","12.56");
        map.put("intrBkSttlmCcy","CNY");
        map.put("intrBkSttlmDt","2023-12-11");

        //手续费承担方式
        map.put("chrgBr","SHAR");

        map.put("purpCd","BKDF");

        //50栏位 汇款人信息
        map.put("dbtrNm", "zhangsan");
        List adr50List = new LinkedList();
        adr50List.add("Beijing");
        adr50List.add("HaiDian");
        adr50List.add("HuanBaoyuan");
        map.put("dbtrAdrLines", adr50List);


        //59栏位
        map.put("cdtrNm", "lisi");
        List adr59List = new LinkedList();
        adr59List.add("WuHan");
        adr59List.add("HongShan");
        adr59List.add("RongChuangZhiGu");
        map.put("cdtrAdrLines", adr59List);

        //mt103 70汇款信息
        List rmtInfoUstrdList = new LinkedList();
        rmtInfoUstrdList.add("TestUstrd0001");
        map.put("rmtInfUstrd", rmtInfoUstrdList);

        //mt103 72附言 ---Begin
        /*
         instrForCdtrAgt	付款指示
         instrForNxtAgt	下一个代理行指令
         svcLvl	交易所依据的服务
         lclInstrm	交易所依据的本地服务
         ctgyPurp	交易用途
         prvsInstgAgt1	之前的发报行1
         prvsInstgAgt1Acct	之前的发报行1账户
         prvsInstgAgt2	之前的发报行2
         prvsInstgAgt2Acct	之前的发报行2账户
         prvsInstgAgt3	之前的发报行3
         prvsInstgAgt3Acct	之前的发报行3账户
        */
        //付款指示
        List instrForCdtrAgtList = new LinkedList();
        Map instrForCdtrAgtMap = new HashMap();
        instrForCdtrAgtMap.put("cd", "HOLD");
        instrForCdtrAgtMap.put("instrInf", "InstrInf1");
        instrForCdtrAgtList.add(instrForCdtrAgtMap);
        instrForCdtrAgtMap = new HashMap();
        instrForCdtrAgtMap.put("cd", "TELB");
        instrForCdtrAgtMap.put("instrInf", "TELB111");
        instrForCdtrAgtList.add(instrForCdtrAgtMap);
        map.put("instrForCdtrAgt", instrForCdtrAgtList);

        //下一个代理行指令
        List instrForNxtAgtList = new LinkedList();
        Map instrForNxtAgtMap = new HashMap();
        instrForCdtrAgtMap.put("instrInf", "instrInf1");
        instrForNxtAgtList.add(instrForNxtAgtMap);
        instrForNxtAgtMap = new HashMap();
        instrForCdtrAgtMap.put("instrInf", "instrInf2");
        instrForNxtAgtList.add(instrForNxtAgtMap);
        map.put("instrForNxtAgt", instrForNxtAgtList);

        //交易所依据的服务
        List svcLvlList = new LinkedList();
        Map svcLvlMap = new HashMap();
        svcLvlMap.put("cd", "BKTR");
        svcLvlList.add(svcLvlMap);
        svcLvlMap = new HashMap();
        svcLvlMap.put("cd", "G001");
        svcLvlList.add(svcLvlMap);
        map.put("svcLvl", svcLvlList);

        //交易所依据的本地服务
        map.put("lclInstrmCd", "DDMC");

        //交易用途
        map.put("ctgyPurpCd", "BONU");

        //之前的发报行1
        map.put("prvsInstgAgt1Bicfi", "PSBCCNBJ001");
        map.put("prvsInstgAgt1ClrSysIdType", "ATBLZ");
        //之前发报行1的帐户信息
        map.put("prvsInstgAgt1Acctiban", "IBAN00000001");
        map.put("prvsInstgAgt1AcctTpCd", "CACC");
        map.put("prvsInstgAgt1AcctCcy", "CNY");

        //之前的发报行2
        map.put("prvsInstgAgt2Bicfi", "PSBCCNBJ002");
        map.put("prvsInstgAgt2ClrSysIdType", "ATBLZ");
        //之前发报行2的帐户信息
        map.put("prvsInstgAgt2Acctiban", "IBAN00000002");
        map.put("prvsInstgAgt2AcctTpCd", "CACC");
        map.put("prvsInstgAgt2AcctCcy", "CNY");

        //之前的发报行3
        map.put("prvsInstgAgt3Bicfi", "PSBCCNBJ003");
        map.put("prvsInstgAgt3ClrSysIdType", "ATBLZ");
        //之前发报行3的帐户信息
        map.put("prvsInstgAgt3Acctiban", "IBAN00000003");
        map.put("prvsInstgAgt3AcctTpCd", "CACC");
        map.put("prvsInstgAgt3AcctCcy", "CNY");

        //mt103 72附言 ---End

        String xmlStr1 = new Element2MxCreatorManager().element2Mx(map);
        System.out.println(xmlStr1);

        //  String xmlStr = new Element2MxCreatorManager().element2Mx(elementStr);
        //   System.out.println("iso======"+xmlStr);

    }


    @Test
    public void testElement2Pacs00900108() throws IOException, ParseException, DatatypeConfigurationException {

        Map map = new HashMap();
        map.put("frBic", "NYCBCNSHXXX");
        map.put("toBic", "PSBCCNBJXXX");
        String msgDefIdr="pacs.009.001.08";
        map.put("messageType", msgDefIdr.replace(".",""));
        map.put("msgDefIdr",msgDefIdr);
        map.put("bizMsgIdr", "BizTest00001");
        map.put("mgDefIdr", "BizTest00001");
        map.put("bizSvc", "swift.cbprplus.02");

        map.put("msgId", "MsgId00001");

        //TODO 确定yyyyMMddhh:mm:ss 转yyyy-MM-ddThh:mm:ss.sss+/-hh:mm现成的函数
        String creDate = "2023-12-10 20:10:11";//esb接口中传入该参数
        map.put("creDt", DateUtil.parseXMLGregorianCalendar(DateUtil.parseDate(creDate, "yyyy-MM-dd HH:mm:ss")).toXMLFormat());


        //mt202 20栏位
        map.put("instrId","instrId00001");
        //mt202 21栏位 endToEndId
        map.put("endToEndId","endToEndId0001");
        //UETR
        map.put("uetr","UETR000001");

        //结算金额、币种、起息日
        map.put("intrBkSttlmAmt","12.56");
        map.put("intrBkSttlmCcy","CNY");
        map.put("intrBkSttlmDt","2023-12-11");

        //手续费承担方式
        map.put("chrgBr","SHAR");

        map.put("purpCd","BKDF");

        //50栏位 汇款人信息
        map.put("dbtrNm", "zhangsan");
        List adr50List = new LinkedList();
        adr50List.add("Beijing");
        adr50List.add("HaiDian");
        adr50List.add("HuanBaoyuan");
        map.put("dbtrAdrLines", adr50List);


        //59栏位
        map.put("cdtrNm", "lisi");
        List adr59List = new LinkedList();
        adr59List.add("WuHan");
        adr59List.add("HongShan");
        adr59List.add("RongChuangZhiGu");
        map.put("cdtrAdrLines", adr59List);

        //mt103 70汇款信息
        List rmtInfoUstrdList = new LinkedList();
        rmtInfoUstrdList.add("TestUstrd0001");
        map.put("rmtInfUstrd", rmtInfoUstrdList);

        //mt103 72附言 ---Begin
        /*
         instrForCdtrAgt	付款指示
         instrForNxtAgt	下一个代理行指令
         svcLvl	交易所依据的服务
         lclInstrm	交易所依据的本地服务
         ctgyPurp	交易用途
         prvsInstgAgt1	之前的发报行1
         prvsInstgAgt1Acct	之前的发报行1账户
         prvsInstgAgt2	之前的发报行2
         prvsInstgAgt2Acct	之前的发报行2账户
         prvsInstgAgt3	之前的发报行3
         prvsInstgAgt3Acct	之前的发报行3账户
        */
        //付款指示
        List instrForCdtrAgtList = new LinkedList();
        Map instrForCdtrAgtMap = new HashMap();
        instrForCdtrAgtMap.put("cd", "HOLD");
        instrForCdtrAgtMap.put("instrInf", "InstrInf1");
        instrForCdtrAgtList.add(instrForCdtrAgtMap);
        instrForCdtrAgtMap = new HashMap();
        instrForCdtrAgtMap.put("cd", "TELB");
        instrForCdtrAgtMap.put("instrInf", "TELB111");
        instrForCdtrAgtList.add(instrForCdtrAgtMap);
        map.put("instrForCdtrAgt", instrForCdtrAgtList);

        //下一个代理行指令
        List instrForNxtAgtList = new LinkedList();
        Map instrForNxtAgtMap = new HashMap();
        instrForCdtrAgtMap.put("instrInf", "instrInf1");
        instrForNxtAgtList.add(instrForNxtAgtMap);
        instrForNxtAgtMap = new HashMap();
        instrForCdtrAgtMap.put("instrInf", "instrInf2");
        instrForNxtAgtList.add(instrForNxtAgtMap);
        map.put("instrForNxtAgt", instrForNxtAgtList);

        //交易所依据的服务
        List svcLvlList = new LinkedList();
        Map svcLvlMap = new HashMap();
        svcLvlMap.put("cd", "BKTR");
        svcLvlList.add(svcLvlMap);
        svcLvlMap = new HashMap();
        svcLvlMap.put("cd", "G001");
        svcLvlList.add(svcLvlMap);
        map.put("svcLvl", svcLvlList);

        //交易所依据的本地服务
        map.put("lclInstrmCd", "DDMC");

        //交易用途
        map.put("ctgyPurpCd", "BONU");

        //之前的发报行1
        map.put("prvsInstgAgt1Bicfi", "PSBCCNBJ001");
        map.put("prvsInstgAgt1ClrSysIdType", "ATBLZ");
        //之前发报行1的帐户信息
        map.put("prvsInstgAgt1Acctiban", "IBAN00000001");
        map.put("prvsInstgAgt1AcctTpCd", "CACC");
        map.put("prvsInstgAgt1AcctCcy", "CNY");

        //之前的发报行2
        map.put("prvsInstgAgt2Bicfi", "PSBCCNBJ002");
        map.put("prvsInstgAgt2ClrSysIdType", "ATBLZ");
        //之前发报行2的帐户信息
        map.put("prvsInstgAgt2Acctiban", "IBAN00000002");
        map.put("prvsInstgAgt2AcctTpCd", "CACC");
        map.put("prvsInstgAgt2AcctCcy", "CNY");

        //之前的发报行3
        map.put("prvsInstgAgt3Bicfi", "PSBCCNBJ003");
        map.put("prvsInstgAgt3ClrSysIdType", "ATBLZ");
        //之前发报行3的帐户信息
        map.put("prvsInstgAgt3Acctiban", "IBAN00000003");
        map.put("prvsInstgAgt3AcctTpCd", "CACC");
        map.put("prvsInstgAgt3AcctCcy", "CNY");

        //mt103 72附言 ---End

        String xmlStr1 = new Element2MxCreatorManager().element2Mx(map);
        System.out.println(xmlStr1);

        //  String xmlStr = new Element2MxCreatorManager().element2Mx(elementStr);
        //   System.out.println("iso======"+xmlStr);

    }

    @Test
    public void testRefreshValue() {
        String value = "/INS/BOFAUS3N^&**!!!\r\n" +
                "///CHPREF/0188423";
        String s = refreshValue(value, "//", 35);
        System.out.println(s.replace("\r\n//", ""));
    }

    protected String refreshValue(String value, String continuePattern, int maxLength) {
        if (StringUtil.isEmpty(value)) {
            return "";
        }
        String regex = "(.*)\\\r\\\n" + continuePattern;
        Pattern p = Pattern.compile(regex);
        Matcher m = p.matcher(value);
        while (m.find()) {
            String findStr = m.group(1);
            if (findStr.length() < maxLength) {
                value = value.replace(findStr, findStr + " ");
            }
        }
        return value;
    }
}
